purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.Ide

Description

Interface for the psc-ide-server

Synopsis

- handleCommand :: (Ide m, MonadLogger m, MonadError IdeError m) => Command -> m Success

# Documentation

handleCommand :: (Ide m, MonadLogger m, MonadError IdeError m) => Command -> m Success #

Accepts a Command and runs it against psc-ide's State. This is the main entry point for the server.